int parity(unsigned char i) {
  int res = 0;
  if (i & 0x01) res=!res;  
  if (i & 0x02) res=!res;
  if (i & 0x04) res=!res;
  if (i & 0x08) res=!res;
  if (i & 0x10) res=!res;
  if (i & 0x20) res=!res;
  if (i & 0x40) res=!res;
  if (i & 0x80) res=!res;
  if (res) printf("true,  ",i);
  else printf("false, ",i);
  if ((i%8)==7) printf("\n");
}

void main() {
  int i;

  for (i=0; i<256; i++) parity(i);
} 
